commit:     f513c7cb7915f2fc27469fca646801097b19dd02
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 10 05:18:43 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Sep 10 06:04:21 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f513c7cb

dev-python/trove-classifiers: Bump to 2025.9.9.12

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/trove-classifiers/Manifest              |  2 +
 .../trove-classifiers-2025.9.9.12.ebuild           | 47 ++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/trove-classifiers/Manifest 
b/dev-python/trove-classifiers/Manifest
index 7ad5bba55390..76075fc54901 100644
--- a/dev-python/trove-classifiers/Manifest
+++ b/dev-python/trove-classifiers/Manifest
@@ -1,3 +1,5 @@
 DIST trove_classifiers-2025.8.26.11.tar.gz 16960 BLAKE2B 
890b9ab53dd1addc1bc1d3f73d68e6ff64eaa02f2583a8ef566f8c66c89ea6dbc8a628949cb1bd7ce605f1bd54f8de487787b21ab539b337f6011c97b80944c2
 SHA512 
36bab8810ecd3be1783adfaf5bcb65aacdd117417e929fcfe73f2a798f71fe34722dc9b2d8dcb6d9e78b8690f83f952f4b780031b063e683c8aa71dac1d6240c
 DIST trove_classifiers-2025.9.8.13.tar.gz 16955 BLAKE2B 
5f966174da19b6299c6d6585f1e6ecb418c968215fc8e6d2fe9d6ac1cc030d2b0c8b51db2fe743858a4bff74ba7a2749ce236e628c3bff64022689a162a59b50
 SHA512 
af132fee4c1374054c5f02341f6428818a5568402e1f6bf40b74d4db00fd988e530007a57b9868f68634a47e99d9354a5c0f8f40d2db5005373fa4c32f7202ec
 DIST trove_classifiers-2025.9.8.13.tar.gz.provenance 9341 BLAKE2B 
415076c8df78f0a836d5288bdce567908089b3f2e55de468be8ccb07daa9ef9e72c626d07e5557c8a2800cabc43835ee342ec9f565249e8229eb2493822e0b32
 SHA512 
214c3d8f56f50ba75968943c2a0f198adef7fe5abfad4285821084128b79debeaf129d8a84a7f041fc072c3b735b341d3a6f380600400a0638509a163405c93c
+DIST trove_classifiers-2025.9.9.12.tar.gz 16970 BLAKE2B 
c767eb6c7936342325a4928b699d80fe8f9f3e451b2e501fd67f374342dbfde9a24bd96194cb3fd611605df6c0bc20226bcb8fdbdbce9b0a677a36a6f7773a78
 SHA512 
5b201b1532aa467fbfd871bb28d34bb53698c1837379989f6764a297057ff7ce62095326fd2abbeb7fb539d71f169d0f13976fb78cd0f4a2eca9b268a2799534
+DIST trove_classifiers-2025.9.9.12.tar.gz.provenance 9310 BLAKE2B 
1e8d503ba165999dd1618ab87ae5886b3124f854b2ef40ffdec62824690308307010771bd17b179c2078053735257d60b99deb930f3fbda778af5d30c23dde85
 SHA512 
269106f6280b648a612210d47605aaf339ccd63916c334c99d1c4e5e7ddab5499db60d4aca781e5995503674ff59580c7d59a5818482d4ad70708be470182f80

diff --git a/dev-python/trove-classifiers/trove-classifiers-2025.9.9.12.ebuild 
b/dev-python/trove-classifiers/trove-classifiers-2025.9.9.12.ebuild
new file mode 100644
index 000000000000..db1b33203caa
--- /dev/null
+++ b/dev-python/trove-classifiers/trove-classifiers-2025.9.9.12.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYPI_VERIFY_REPO=https://github.com/pypa/trove-classifiers
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} python3_{13,14}t )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Canonical source for classifiers on PyPI (pypi.org)"
+HOMEPAGE="
+       https://github.com/pypa/trove-classifiers/
+       https://pypi.org/project/trove-classifiers/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos 
~x64-macos ~x64-solaris"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_configure() {
+       grep -q 'build-backend = "setuptools' pyproject.toml ||
+               die "Upstream changed build-backend, recheck"
+       # write a custom pyproject.toml to ease hatchling bootstrap
+       cat > pyproject.toml <<-EOF || die
+               [build-system]
+               requires = ["flit_core >=3.2,<4"]
+               build-backend = "flit_core.buildapi"
+
+               [project]
+               name = "trove-classifiers"
+               version = "${PV}"
+               description = "Canonical source for classifiers on PyPI 
(pypi.org)."
+
+               [project.scripts]
+               trove-classifiers = "trove_classifiers.__main__:cli"
+       EOF
+}
+
+python_test() {
+       epytest
+       "${EPYTHON}" -m tests.lib || die
+}

Reply via email to